# RPM specfile for Guppi module
# Generated Tue Oct  9 19:45:31 2001 GMT by Ximian build system
# $Id: bb_do,v 1.144 2001/10/06 09:16:29 thunder Exp $
# from $Id: helix-build.conf,v 1.4 2001/07/03 12:02:17 peter Exp $

%define nam	Guppi
%define ver	0.35.5

Name:     	libguppi11
Version: 	0.35.5
Release:	7.ximian.1
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Linux Mandrake 8.1 / i586
Copyright:	GPL
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc
URL:		http://www.gnome.org/
Source0:	Guppi-0.35.5.tar.gz
Summary:	Plotting tool for GNOME
Group:		Applications/Graphics

%description
Guppi is a tool that allows you to make interactive plots of data
in various ways.  It is integrated with GNOME.

%files
%defattr(-, root, root)
/usr/bin/*
/usr/lib/guppi/plug-ins/0.35.5
/usr/lib/lib*.so.*
/usr/share/gnome/apps/Applications/guppi.desktop
/usr/share/gnome/help/guppi
/usr/share/guppi
/usr/share/locale/*/*/Guppi.mo
/usr/share/oaf/GNOME_Guppi.oafinfo
/usr/share/pixmaps/gnome-guppi.png
/usr/share/pixmaps/guppi


%package -n libguppi11-devel
Summary:	Libraries for the Guppi plotting tool
Group:		Development/Libraries
Requires:	libguppi11 = %{PACKAGE_VERSION}
Provides:	libguppi-devel = %{PACKAGE_VERSION}
Provides:	Guppi-devel = %{PACKAGE_VERSION}

%description -n libguppi11-devel
Set of libraries that allow you to access the Guppi plotting API.
Install this package if you wish to add plotting capabilities to GNOME
plications through Guppi.

%files -n libguppi11-devel
%defattr(-, root, root)
/usr/include/libguppi
/usr/include/libguppitank
/usr/lib/*Conf.sh
/usr/lib/*.la
/usr/lib/*.so
/usr/share/aclocal/libguppi.m4


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n Guppi-0.35.5
    ;;
all)
%setup  -q -n Guppi-0.35.5
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    ./configure --prefix=/usr --sysconfdir=/etc --mandir=/usr/man --infodir=/usr/info --localstatedir=/var
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    ${MAKE}
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    ${MAKE} install prefix=${DESTDIR}/usr sysconfdir=${DESTDIR}/etc mandir=${DESTDIR}/usr/man infodir=${DESTDIR}/usr/info localstatedir=${DESTDIR}/var
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
